import argparse
# Training settings
parser = argparse.ArgumentParser(description="Super-Resolution")
parser.add_argument("--upscale_factor", default=8, type=int, help="super resolution upscale factor")
parser.add_argument('--seed', type=int, default=1,  help='random seed (default: 1)')
parser.add_argument("--batchSize", type=int, default=16, help="training batch size")
parser.add_argument("--nEpochs", type=int, default=170, help="maximum number of epochs to train")
parser.add_argument("--lr", type=int, default=1e-4, help="lerning rate")  # 1e-4
parser.add_argument("--cuda",default=True, action="store_true", help="Use cuda")
parser.add_argument("--gpus", default="6", type=str, help="gpu ids (default: 0)")
parser.add_argument("--threads", type=int, default=12, help="number of threads for dataloader to use")
parser.add_argument("--resume", default="", type=str, help="Path to checkpoint (default: none)  checkpoint/model_epoch_95.pth")
parser.add_argument("--start-epoch", default=1, type=int, help="Manual epoch number (useful on restarts)")               
parser.add_argument("--datasetName", default="Harvard", type=str, help="data name")
parser.add_argument("--saveName", default="DAWSR_Harvardx8", type=str, help="data name")
parser.add_argument("--img_size", default=32, type=int, help="img_size")
parser.add_argument("--patch_size", default=1, type=int, help="patch_size")
parser.add_argument("--in_chans", default=5, type=int, help="in_channels")
parser.add_argument("--out_chans", default=1, type=int, help="out_channels")

# Network settings

parser.add_argument('--embed_dim', type=int, default=96, help='number of embed dim') #192
parser.add_argument('--num_feats', type=int, default=64, help='number of feats')   #255
parser.add_argument('--depths',  default= [3, 3, 3, 3], help='number of depths')
parser.add_argument('--num_heads', default= [6, 6, 6, 6], help='number of num_heads')
parser.add_argument('--window_size', type=int, default=8, help='number of window_size')
parser.add_argument('--img_range', type=int, default=1, help='number of ima_range')
parser.add_argument('--mlp_ratio', type=int, default=4, help='number of mlp_ratio')
parser.add_argument('--drop_rate', type=int, default=0., help='number of drop_rate')
parser.add_argument('--attn_drop_rate', type=int, default=0., help='number of attn_drop_rate')
parser.add_argument('--drop_path_rate', type=int, default=0.1, help='number of drop_path_rate')
parser.add_argument('--qkv_bias', default=True, help='use qkv_bias')
parser.add_argument('--patch_norm', default=True, help='use patch_norm')
parser.add_argument('--use_checkpoint', default=False, help='use checkpoint')
parser.add_argument('--ape', default=False, help='use ape')
parser.add_argument('--qk_scale', default=None, help='number of qk scale')
parser.add_argument('--n_blocks', type=int, default=2, help='number of blocks for  band group')
parser.add_argument('--res_scale', type=float, default=1, help='residual scaling')


# Test image
parser.add_argument('--model_name', default='/home3/wx/model/DSSTSR_Beishan_x2.pth', type=str, help='super resolution model name ')
parser.add_argument('--method', default='DSSTSR', type=str, help='super resolution method name')

opt = parser.parse_args() 
